/* micropolisJS. Adapted from Micropolis by Graeme McCutcheon.
 *
 * This code is released under the GNU GPL v3, with some additional terms.
 * Please see the files LICENSE and COPYING for details. Alternatively,
 * consult http://micropolisjs.graememcc.co.uk/LICENSE and
 * http://micropolisjs.graememcc.co.uk/COPYING
 *
 */

define([],
       function() {
  "use strict";

  function TileHistory() {
    this.data = {};
  }


  var toKey = function(x, y) {
    return [x, y].join(',');
  };


  TileHistory.prototype.getTile = function(x, y) {
    var key = toKey(x, y);
    return this.data[key];
  };


  TileHistory.prototype.setTile = function(x, y, value) {
    var key = toKey(x, y);
    this.data[key] = value;
  };


  return TileHistory;
});
